<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: edma3resmgr.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
<h1>edma3resmgr.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * edma3resmgr.h</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * EDMA3 Resource Manager Internal header file.</span>
<a name="l00005"></a>00005 <span class="comment"> *</span>
<a name="l00006"></a>00006 <span class="comment"> * Copyright (C) 2009 Texas Instruments Incorporated - http://www.ti.com/</span>
<a name="l00007"></a>00007 <span class="comment"> *</span>
<a name="l00008"></a>00008 <span class="comment"> *</span>
<a name="l00009"></a>00009 <span class="comment"> *  Redistribution and use in source and binary forms, with or without</span>
<a name="l00010"></a>00010 <span class="comment"> *  modification, are permitted provided that the following conditions</span>
<a name="l00011"></a>00011 <span class="comment"> *  are met:</span>
<a name="l00012"></a>00012 <span class="comment"> *</span>
<a name="l00013"></a>00013 <span class="comment"> *    Redistributions of source code must retain the above copyright</span>
<a name="l00014"></a>00014 <span class="comment"> *    notice, this list of conditions and the following disclaimer.</span>
<a name="l00015"></a>00015 <span class="comment"> *</span>
<a name="l00016"></a>00016 <span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span>
<a name="l00017"></a>00017 <span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span>
<a name="l00018"></a>00018 <span class="comment"> *    documentation and/or other materials provided with the</span>
<a name="l00019"></a>00019 <span class="comment"> *    distribution.</span>
<a name="l00020"></a>00020 <span class="comment"> *</span>
<a name="l00021"></a>00021 <span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span>
<a name="l00022"></a>00022 <span class="comment"> *    its contributors may be used to endorse or promote products derived</span>
<a name="l00023"></a>00023 <span class="comment"> *    from this software without specific prior written permission.</span>
<a name="l00024"></a>00024 <span class="comment"> *</span>
<a name="l00025"></a>00025 <span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span>
<a name="l00026"></a>00026 <span class="comment"> *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span>
<a name="l00027"></a>00027 <span class="comment"> *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span>
<a name="l00028"></a>00028 <span class="comment"> *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span>
<a name="l00029"></a>00029 <span class="comment"> *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span>
<a name="l00030"></a>00030 <span class="comment"> *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span>
<a name="l00031"></a>00031 <span class="comment"> *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00032"></a>00032 <span class="comment"> *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span>
<a name="l00033"></a>00033 <span class="comment"> *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span>
<a name="l00034"></a>00034 <span class="comment"> *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span>
<a name="l00035"></a>00035 <span class="comment"> *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00036"></a>00036 <span class="comment"> *</span>
<a name="l00037"></a>00037 <span class="comment">*/</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="preprocessor">#ifndef _EDMA3_RES_MGR_H_</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#define _EDMA3_RES_MGR_H_</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span>
<a name="l00042"></a>00042 
<a name="l00044"></a>00044 <span class="preprocessor">#include &lt;ti/sdo/edma3/rm/edma3_rm.h&gt;</span>
<a name="l00045"></a>00045 
<a name="l00046"></a>00046 <span class="comment">/* For the EDMA3 Register Layer functionality. */</span>
<a name="l00047"></a>00047 <span class="preprocessor">#include &lt;ti/sdo/edma3/rm/src/edma3_rl_cc.h&gt;</span>
<a name="l00048"></a>00048 <span class="preprocessor">#include &lt;ti/sdo/edma3/rm/src/edma3_rl_tc.h&gt;</span>
<a name="l00049"></a>00049 
<a name="l00050"></a>00050 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00051"></a>00051 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00052"></a>00052 <span class="preprocessor">#endif</span>
<a name="l00053"></a>00053 <span class="preprocessor"></span>
<a name="l00058"></a>00058 <span class="keyword">extern</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> edma3NumPaRAMSets;
<a name="l00059"></a>00059 
<a name="l00060"></a>00060 
<a name="l00062"></a>00062 <span class="preprocessor">#define EDMA3_RM_SET_ALL_BITS              (0xFFFFFFFFu)</span>
<a name="l00063"></a>00063 <span class="preprocessor"></span>
<a name="l00064"></a>00064 <span class="comment">/* Other Mask defines */</span>
<a name="l00066"></a>00066 <span class="preprocessor">#define EDMA3_RM_DCH_PARAM_CLR_MASK                (~EDMA3_CCRL_DCHMAP_PAENTRY_MASK)</span>
<a name="l00067"></a>00067 <span class="preprocessor"></span>
<a name="l00068"></a>00068 <span class="preprocessor">#define EDMA3_RM_DCH_PARAM_SET_MASK(paRAMId)       (((EDMA3_CCRL_DCHMAP_PAENTRY_MASK &gt;&gt; EDMA3_CCRL_DCHMAP_PAENTRY_SHIFT) &amp; (paRAMId)) &lt;&lt; EDMA3_CCRL_DCHMAP_PAENTRY_SHIFT)</span>
<a name="l00069"></a>00069 <span class="preprocessor"></span>
<a name="l00070"></a>00070 <span class="preprocessor">#define EDMA3_RM_QCH_PARAM_CLR_MASK                (~EDMA3_CCRL_QCHMAP_PAENTRY_MASK)</span>
<a name="l00071"></a>00071 <span class="preprocessor"></span>
<a name="l00072"></a>00072 <span class="preprocessor">#define EDMA3_RM_QCH_PARAM_SET_MASK(paRAMId)       (((EDMA3_CCRL_QCHMAP_PAENTRY_MASK &gt;&gt; EDMA3_CCRL_QCHMAP_PAENTRY_SHIFT) &amp; (paRAMId)) &lt;&lt; EDMA3_CCRL_QCHMAP_PAENTRY_SHIFT)</span>
<a name="l00073"></a>00073 <span class="preprocessor"></span>
<a name="l00074"></a>00074 <span class="preprocessor">#define EDMA3_RM_QCH_TRWORD_CLR_MASK               (~EDMA3_CCRL_QCHMAP_TRWORD_MASK)</span>
<a name="l00075"></a>00075 <span class="preprocessor"></span>
<a name="l00076"></a>00076 <span class="preprocessor">#define EDMA3_RM_QCH_TRWORD_SET_MASK(paRAMId)      (((EDMA3_CCRL_QCHMAP_TRWORD_MASK &gt;&gt; EDMA3_CCRL_QCHMAP_TRWORD_SHIFT) &amp; (paRAMId)) &lt;&lt; EDMA3_CCRL_QCHMAP_TRWORD_SHIFT)</span>
<a name="l00077"></a>00077 <span class="preprocessor"></span>
<a name="l00078"></a>00078 <span class="preprocessor">#define EDMA3_RM_QUEPRI_CLR_MASK(queNum)           (~(EDMA3_CCRL_QUEPRI_PRIQ0_MASK &lt;&lt; ((queNum) * EDMA3_CCRL_QUEPRI_PRIQ1_SHIFT)))</span>
<a name="l00079"></a>00079 <span class="preprocessor"></span>
<a name="l00080"></a>00080 <span class="preprocessor">#define EDMA3_RM_QUEPRI_SET_MASK(queNum,quePri)    ((EDMA3_CCRL_QUEPRI_PRIQ0_MASK &amp; (quePri)) &lt;&lt; ((queNum) * EDMA3_CCRL_QUEPRI_PRIQ1_SHIFT))</span>
<a name="l00081"></a>00081 <span class="preprocessor"></span>
<a name="l00082"></a>00082 <span class="preprocessor">#define EDMA3_RM_QUEWMTHR_CLR_MASK(queNum)         (~(EDMA3_CCRL_QWMTHRA_Q0_MASK &lt;&lt; ((queNum) * EDMA3_CCRL_QWMTHRA_Q1_SHIFT)))</span>
<a name="l00083"></a>00083 <span class="preprocessor"></span>
<a name="l00084"></a>00084 <span class="preprocessor">#define EDMA3_RM_QUEWMTHR_SET_MASK(queNum,queThr)  ((EDMA3_CCRL_QWMTHRA_Q0_MASK &amp; (queThr)) &lt;&lt; ((queNum) * EDMA3_CCRL_QWMTHRA_Q1_SHIFT))</span>
<a name="l00085"></a>00085 <span class="preprocessor"></span>
<a name="l00087"></a>00087 <span class="preprocessor">#define EDMA3_RM_OPT_TCC_CLR_MASK                  (~EDMA3_CCRL_OPT_TCC_MASK)</span>
<a name="l00088"></a>00088 <span class="preprocessor"></span>
<a name="l00089"></a>00089 <span class="preprocessor">#define EDMA3_RM_OPT_TCC_SET_MASK(tcc)             (((EDMA3_CCRL_OPT_TCC_MASK &gt;&gt; EDMA3_CCRL_OPT_TCC_SHIFT) &amp; (tcc)) &lt;&lt; EDMA3_CCRL_OPT_TCC_SHIFT)</span>
<a name="l00090"></a>00090 <span class="preprocessor"></span>
<a name="l00092"></a>00092 <span class="preprocessor">#define EDMA3_RM_PARAM_ENTRY_LINK_BCNTRLD   (5u)</span>
<a name="l00093"></a>00093 <span class="preprocessor"></span>
<a name="l00094"></a>00094 
<a name="l00114"></a><a class="code" href="group__Edma3ResMgrIntObjMaint.html#g12f47d9e744ff042541b8f384331e213">00114</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
<a name="l00116"></a><a class="code" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e213f9ecffaa0b927c32a79ccf09d13249ba">00116</a>     <a class="code" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e213f9ecffaa0b927c32a79ccf09d13249ba">EDMA3_RM_DELETED</a>   = 0,
<a name="l00118"></a><a class="code" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e2138430ad1934474c9cc45c05ef7397a064">00118</a>     <a class="code" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e2138430ad1934474c9cc45c05ef7397a064">EDMA3_RM_CREATED</a>   = 1,
<a name="l00120"></a><a class="code" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e213204be13ae2662478c7b424cb634020f4">00120</a>     <a class="code" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e213204be13ae2662478c7b424cb634020f4">EDMA3_RM_OPENED</a>    = 2,
<a name="l00122"></a><a class="code" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e21363316a48e3824e29716bbf1473f7f198">00122</a>     <a class="code" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e21363316a48e3824e29716bbf1473f7f198">EDMA3_RM_CLOSED</a>    = 3
<a name="l00123"></a>00123 } <a class="code" href="group__Edma3ResMgrIntObjMaint.html#g12f47d9e744ff042541b8f384331e213">EDMA3_RM_ObjState</a>;
<a name="l00124"></a>00124 
<a name="l00125"></a>00125 
<a name="l00126"></a>00126 
<a name="l00135"></a><a class="code" href="group__Edma3RMIntBoundVals.html#g24993f4530d360b4a11fe086b240ae5d">00135</a> <span class="preprocessor">#define EDMA3_RM_DMA_CH_MAX_VAL        (EDMA3_MAX_DMA_CH - 1u)</span>
<a name="l00136"></a>00136 <span class="preprocessor"></span>
<a name="l00138"></a><a class="code" href="group__Edma3RMIntBoundVals.html#g45b446acc59ea6ca20286ffa236e04a7">00138</a> <span class="preprocessor">#define EDMA3_RM_LINK_CH_MIN_VAL       (EDMA3_MAX_DMA_CH)</span>
<a name="l00139"></a>00139 <span class="preprocessor"></span>
<a name="l00141"></a><a class="code" href="group__Edma3RMIntBoundVals.html#gf2cd795a543616ad8d9f4850c5d72ac2">00141</a> <span class="preprocessor">#define EDMA3_RM_LINK_CH_MAX_VAL       (EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS - 1u)</span>
<a name="l00142"></a>00142 <span class="preprocessor"></span>
<a name="l00144"></a><a class="code" href="group__Edma3RMIntBoundVals.html#g0618595d31a9646bb5035c91daa1a09a">00144</a> <span class="preprocessor">#define EDMA3_RM_QDMA_CH_MIN_VAL       (EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS)</span>
<a name="l00145"></a>00145 <span class="preprocessor"></span>
<a name="l00147"></a><a class="code" href="group__Edma3RMIntBoundVals.html#gfae3b6b39b38b3efb2a094aba6154c91">00147</a> <span class="preprocessor">#define EDMA3_RM_QDMA_CH_MAX_VAL       (EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS + EDMA3_MAX_QDMA_CH - 1u)</span>
<a name="l00148"></a>00148 <span class="preprocessor"></span>
<a name="l00150"></a><a class="code" href="group__Edma3RMIntBoundVals.html#g2b3db9a8bf2349d5c5e1451b2ec79ddb">00150</a> <span class="preprocessor">#define EDMA3_RM_LOG_CH_MAX_VAL       (EDMA3_RM_QDMA_CH_MAX_VAL)</span>
<a name="l00151"></a>00151 <span class="preprocessor"></span>
<a name="l00152"></a>00152 
<a name="l00153"></a>00153 
<a name="l00154"></a>00154 <span class="comment">/* @} Edma3RMIntBoundVals */</span>
<a name="l00155"></a>00155 
<a name="l00156"></a>00156 
<a name="l00157"></a>00157 
<a name="l00158"></a>00158 
<a name="l00159"></a>00159 
<a name="l00166"></a><a class="code" href="structEDMA3__RM__Obj.html">00166</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
<a name="l00167"></a>00167     {
<a name="l00169"></a><a class="code" href="structEDMA3__RM__Obj.html#e3c0a4a97c25259407c34e3582255198">00169</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        phyCtrllerInstId;
<a name="l00170"></a>00170 
<a name="l00172"></a><a class="code" href="structEDMA3__RM__Obj.html#a262df0776f0a9b6163e8f64d91a0265">00172</a>     <a class="code" href="group__Edma3ResMgrIntObjMaint.html#g12f47d9e744ff042541b8f384331e213">EDMA3_RM_ObjState</a>   state;
<a name="l00173"></a>00173 
<a name="l00175"></a><a class="code" href="structEDMA3__RM__Obj.html#13b4308a8ad6baf647b5c7adbe54702c">00175</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        numOpens;
<a name="l00176"></a>00176 
<a name="l00184"></a><a class="code" href="structEDMA3__RM__Obj.html#6bac11beb5c7f95204cac16455bb424c">00184</a>     <a class="code" href="structEDMA3__RM__GblConfigParams.html" title="Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific...">EDMA3_RM_GblConfigParams</a> gblCfgParams;
<a name="l00185"></a>00185 
<a name="l00186"></a>00186     } <a class="code" href="structEDMA3__RM__Obj.html" title="EDMA3 Hardware Instance Configuration Structure.">EDMA3_RM_Obj</a>;
<a name="l00187"></a>00187 
<a name="l00188"></a>00188 
<a name="l00198"></a><a class="code" href="structEDMA3__RM__Instance.html">00198</a> <span class="keyword">typedef</span> <span class="keyword">struct</span>
<a name="l00199"></a>00199     {
<a name="l00206"></a><a class="code" href="structEDMA3__RM__Instance.html#9ea516313f4cbf1203ed945b75120770">00206</a>     <a class="code" href="structEDMA3__RM__Param.html" title="Used to Initialize the Resource Manager Instance.">EDMA3_RM_Param</a>                  initParam;
<a name="l00207"></a>00207 
<a name="l00209"></a><a class="code" href="structEDMA3__RM__Instance.html#b3bc4cc87520c8156b0569600b9678e5">00209</a>     EDMA3_CCRL_ShadowRegs           *shadowRegs;
<a name="l00210"></a>00210 
<a name="l00215"></a><a class="code" href="structEDMA3__RM__Instance.html#c8c4e0d16fe56d1465b4860f11060733">00215</a>     <a class="code" href="structEDMA3__RM__Obj.html" title="EDMA3 Hardware Instance Configuration Structure.">EDMA3_RM_Obj</a>                    *pResMgrObjHandle;
<a name="l00216"></a>00216 
<a name="l00218"></a><a class="code" href="structEDMA3__RM__Instance.html#c79c170f0c84f077084772c06334e72c">00218</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        avlblDmaChannels[EDMA3_MAX_DMA_CHAN_DWRDS];
<a name="l00219"></a>00219 
<a name="l00221"></a><a class="code" href="structEDMA3__RM__Instance.html#b1377abba4e39bb4c32f69898be3ab1d">00221</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        avlblQdmaChannels[EDMA3_MAX_QDMA_CHAN_DWRDS];
<a name="l00222"></a>00222 
<a name="l00224"></a><a class="code" href="structEDMA3__RM__Instance.html#bca40d62bbca7c0e31a8945e7a61f2f2">00224</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        avlblPaRAMSets[EDMA3_MAX_PARAM_DWRDS];
<a name="l00225"></a>00225 
<a name="l00227"></a><a class="code" href="structEDMA3__RM__Instance.html#a25e136d2bae2f3a8c159bf6aa38e84e">00227</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>        avlblTccs[EDMA3_MAX_TCC_DWRDS];
<a name="l00228"></a>00228 
<a name="l00245"></a><a class="code" href="structEDMA3__RM__Instance.html#750feffdd410001a563b312cd6d1442c">00245</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>          paramInitRequired;
<a name="l00246"></a>00246 
<a name="l00264"></a><a class="code" href="structEDMA3__RM__Instance.html#9994deccfdf8a63db677311aced1db79">00264</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>          regModificationRequired;
<a name="l00265"></a>00265 
<a name="l00266"></a>00266     }<a class="code" href="structEDMA3__RM__Instance.html" title="EDMA3 RM Instance Specific Configuration Structure.">EDMA3_RM_Instance</a>;
<a name="l00267"></a>00267 
<a name="l00268"></a>00268 <span class="comment">/* @} Edma3ResMgrIntObjMaint */</span>
<a name="l00269"></a>00269 
<a name="l00270"></a>00270 
<a name="l00278"></a><a class="code" href="structEDMA3__RM__ChBoundResources.html">00278</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{
<a name="l00280"></a><a class="code" href="structEDMA3__RM__ChBoundResources.html#be7b47232db77c8ed3ce9487ca8f658f">00280</a>     <span class="keywordtype">int</span> paRAMId;
<a name="l00281"></a>00281 
<a name="l00283"></a><a class="code" href="structEDMA3__RM__ChBoundResources.html#c312830c57f5f44cc9ce7eb86513ae7d">00283</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> tcc;
<a name="l00284"></a>00284 } <a class="code" href="structEDMA3__RM__ChBoundResources.html" title="EDMA3 Channel-Bound resources.">EDMA3_RM_ChBoundResources</a>;
<a name="l00285"></a>00285 
<a name="l00286"></a>00286 
<a name="l00290"></a><a class="code" href="structEDMA3__RM__TccCallbackParams.html">00290</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{
<a name="l00292"></a><a class="code" href="structEDMA3__RM__TccCallbackParams.html#b46111c7ca4b209d38383103bfd9a1e5">00292</a>     <a class="code" href="group__Edma3RMIntrMgrChannel.html#gadca81927be74261ef874009bf8e37d3" title="TCC callback - caters to channel-specific events like &amp;quot;Event Miss Error&amp;quot;...">EDMA3_RM_TccCallback</a> tccCb;
<a name="l00293"></a>00293 
<a name="l00295"></a><a class="code" href="structEDMA3__RM__TccCallbackParams.html#9834742e3ec7ea2b7ec1064055417cab">00295</a>     <span class="keywordtype">void</span> *cbData;
<a name="l00296"></a>00296 } <a class="code" href="structEDMA3__RM__TccCallbackParams.html" title="TCC Callback - Caters to channel specific status reporting.">EDMA3_RM_TccCallbackParams</a>;
<a name="l00297"></a>00297 
<a name="l00298"></a>00298 
<a name="l00299"></a>00299 <span class="comment">/* @} Edma3ResMgrInt */</span>
<a name="l00300"></a>00300 
<a name="l00301"></a>00301 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00302"></a>00302 <span class="preprocessor"></span>}
<a name="l00303"></a>00303 <span class="preprocessor">#endif </span><span class="comment">/* extern "C" */</span>
<a name="l00304"></a>00304 
<a name="l00305"></a>00305 <span class="preprocessor">#endif    </span><span class="comment">/* _EDMA3_RES_MGR_H_ */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:48 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
